## org.apache.mahout.cf.taste.impl.recommender.knn
Interface Optimizer

All Known Implementing Classes:
  ConjugateGradientOptimizer, NonNegativeQuadraticOptimizer

    public interface Optimizer

Method Summary
`double[]` `optimize(double[][] matrix, double[] b)`

Method Detail

### optimize

    double[] optimize(double[][] matrix,
                      double[] b)

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.